package tictactoecodingame;

import java.util.Scanner;



    /*--------------------------------------------------------*/
    /*                 Version jeu en local                   */
    /*--------------------------------------------------------*/

public class Player {
    public static void main(String args[]) {

        JoueurHumain humain = new JoueurHumain("Humain");
        JoueurOrdi joueurOrdi = new JoueurOrdi("Ordi");

        // Remplacer ici l'algorithme aléatoire par votre algorithme MCTS
        AlgoRechercheAleatoire alea  = new AlgoRechercheAleatoire( );   // L'ordinateur joue au hasard
        //MonteCarlo mcts = new MonteCarlo(humain, joueurOrdi, new AlgoUCB(1), 15);

        joueurOrdi.setAlgoRecherche(alea);
        //joueurOrdi.setAlgoRecherche(mcts);

        GrilleTicTacToe3x3 grille = new GrilleTicTacToe3x3();
        grille.init();

        Arbitre a = new Arbitre(grille, joueurOrdi, humain);

        a.startNewGame(true);    // Demarre une partie en affichant la grille du jeu

        // Pour lancer un tournooi de 100 parties sans  afficher la grille du jeu
        // a.startTournament(100 , false);

    }
}

        


    /*--------------------------------------------------------*/
    /*                 Version Codingame                     */
    /*--------------------------------------------------------*/

/*
import java.util.Scanner;



class Player {

    public static void main(String args[]) {
        Scanner in = new Scanner(System.in);
        CoupTicTacToe coup;
        JoueurHumain adversaire = new JoueurHumain("Adversaire");
        JoueurOrdi joueurOrdi = new JoueurOrdi("Ordi");

        //AlgoRechercheAleatoire alea  = new AlgoRechercheAleatoire( );   // L'ordinateur joue au hasard
        MonteCarlo mcts = new MonteCarlo(joueurOrdi, adversaire, new AlgoUCB(0.5), 90);
        joueurOrdi.setAlgoRecherche(mcts);

        //GrilleTicTacToe3x3 grille = new GrilleTicTacToe3x3();
        GrilleTicTacToe9x9 grille = new GrilleTicTacToe9x9();
        grille.init();

        while (true) {
            int opponentRow = in.nextInt();
            int opponentCol = in.nextInt();
            int validActionCount = in.nextInt();
            for (int i = 0; i < validActionCount; i++) {
                int row = in.nextInt();
                int col = in.nextInt();
            }
            if ( opponentCol != -1  ) {
                coup = new CoupTicTacToe(opponentCol, opponentRow, new Jeton(adversaire));
                grille.joueCoup(coup);
            }
            coup = (CoupTicTacToe) joueurOrdi.joue(grille);
            grille.joueCoup(coup);
            System.out.println(coup.getLigne() + " " + coup.getColonne() );
            System.out.flush();
        }
    }

}
*/